<?php

namespace App\Http\Controllers;

use DB;
use Log;

use Illuminate\Http\Request;

class inicioController extends Controller
{
    public function Inicio()
    {
        $equipos = DB::table('equipos')
            ->select('equi_estadoAsigando', 'equi_nombreTipoEquipo', 'equi_estado')
            ->get();

        $TotalLaptopsLibres = $equipos->where('equi_estadoAsigando', 'LIBRE')->where('equi_nombreTipoEquipo', 'LAPTOP')->count();
        $TotalLaptopsOcupadas = $equipos->where('equi_estadoAsigando', 'OCUPADO')->where('equi_nombreTipoEquipo', 'LAPTOP')->count();
        $TotalCelularesLibres = $equipos->where('equi_estadoAsigando', 'LIBRE')->where('equi_nombreTipoEquipo', 'CELULAR')->count();
        $TotalCelularesOcupados = $equipos->where('equi_estadoAsigando', 'OCUPADO')->where('equi_nombreTipoEquipo', 'CELULAR')->count();
        $TotalEquiposGeneral = $equipos->where('equi_estado', '<>', 'INOPERATIVO')->count();



        //return view('inicio',compact('menu','menupadre'));
        return view('inicio', compact('TotalLaptopsLibres', 'TotalLaptopsOcupadas', 'TotalCelularesLibres', 'TotalCelularesOcupados', 'TotalEquiposGeneral'));
    }
}
